Docs

Get Reservation Cost

GET /resource-reservations/{reservationId}/cost

GET/resource-reservations/{reservationId}/cost

Prices one reservation from its resource's default rate card (or its only card) at the reservation's work mode and time span, for one unit. When it cannot be priced, such as a quantity hold or a resource with no default rate card, cost fields are null and reason says why. The reservationId comes from ResourceReservations_GetResourceReservations. Requires ResourceInventory.Read.

Path Parameters

FieldTypeRequiredDescription
reservationIduuidRequired

Response

FieldTypeDescription
costnumber| null
chargenumber| null
periodstring| null
periodsBillednumber| null
flatAppliedboolean
minimumAppliedboolean
reasonstring| null